---
title: 'OfflineAudioContext: complete event'
slug: Web/API/OfflineAudioContext/complete_event
tags:
  - API
  - Event
  - OfflineAudioContext
  - Reference
  - Web Audio API
  - complete
---
<p>{{DefaultAPISidebar("Web Audio API")}}</p>

<p>The <code>complete</code> event of the {{domxref("OfflineAudioContext")}} interface is fired when the rendering of an offline audio context is complete.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Default action</th>
   <td>None</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("OfflineAudioCompletionEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("OfflineAudioContext.oncomplete")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>When processing is complete, you might want to use the <code>oncomplete</code> handler the prompt the user that the audio can now be played, and enable the play button:</p>

<pre class="brush: js"><code class="language-js"><span class="keyword token">let</span> </code>offlineAudioCtx<code class="language-js"> <span class="operator token">=</span> <span class="keyword token">new</span> <span class="class-name token">OfflineAudioContext</span><span class="punctuation token">(</span><span class="punctuation token">)</span><span class="punctuation token">;</span></code>

offlineAudioCtx.addEventListener('complete', () =&gt; {
  console.log('Offline audio processing now complete');
  showModalDialog('Song processed and ready to play');
  playBtn.disabled = false;
})</pre>

<p>You can also set up the event handler using the {{domxref("OfflineAudioContext.oncomplete")}} property:</p>

<pre class="brush: js"><code class="language-js"><span class="keyword token">let</span> </code>offlineAudioCtx<code class="language-js"> <span class="operator token">=</span> <span class="keyword token">new</span> <span class="class-name token">OfflineAudioContext</span><span class="punctuation token">(</span><span class="punctuation token">)</span><span class="punctuation token">;</span></code>

offlineAudioCtx.oncomplete = function() {
  console.log('Offline audio processing now complete');
  showModalDialog('Song processed and ready to play');
  playBtn.disabled = false;
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#OfflineAudioCompletionEvent', 'OfflineAudioCompletionEvent')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.OfflineAudioContext.complete_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("OfflineAudioContext.oncomplete")}}</li>
 <li><a href="/en-US/docs/Web_Audio_API" title="/en-US/docs/CSS/Using_CSS_animations">Web Audio API</a></li>
</ul>
